class i_wall extends f_xt
{
public double func(double x,double t)
{double Ti=100.0;     //degree C
double Tinf=20.0;   //degree C
double alfa=17.7e-4; //m^2/s
double h=50.0;         // W/m^2K
double k=50.0;       //W/mK
double tt=erfc(x/(2*sqrt(alfa*t)))-(exp(h*x/k+h*h*alfa*t/(k*k)))*(erfc(x/(2*sqrt(alfa*t))+h*sqrt(alfa*t)/k));
double T=Ti+(Tinf-Ti)*tt;
return T;
}	
}
public class timeplottest5
{
public static void main(String args[]) 
  {
 i_wall ff=new i_wall();
  timeplot p=new timeplot(ff,0.0,1.0,0.05,0.1,1000.0,10.0,0.5);
  p.start();
  }
} 